#
#--
# ScanDB - A library for importing and analyzing information generated by
# various network scanning utilities.
#
# Copyright (c) 2008 Hal Brodigan (postmodern.mod3 at gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#++
#

require 'scandb/model'

module ScanDB
  class OSClass

    include Model

    # The type of OS
    property :type, String

    # The vendor of the OS
    property :vendor, String

    # The family the OS belongs to
    property :family, String

    # The version of the OS
    property :version, String

    # The guesses for the OS Class.
    has n, :guesses, :class_name => 'OSClassGuess'

    #
    # Returns the String form of the OS Class.
    #
    def to_s
      vars = []

      vars << "type=#{type}" if type
      vars << "vendor=#{vendor}" if vendor
      vars << "family=#{family}" if family
      vars << "version=#{version}" if version

      return vars.join(' ')
    end

  end
end
